package com.poc.altimetrik.controller;
import com.poc.altimetrik.dto.Customer;
import com.poc.altimetrik.dto.OrderDetails;
import com.poc.altimetrik.services.FoodCartServices;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController

@RequestMapping("api/v1")
public class FoodCartController {

    @Autowired
    FoodCartServices shoppingCartServices;

    @GetMapping("/getProducts")
    public ResponseEntity<List<OrderDetails>> getProducts(){
      List<OrderDetails> products  = shoppingCartServices.getProducts();

      return ResponseEntity.ok(products);

    }


    @PostMapping ("/addProducts")
    @CrossOrigin(origins="http://localhost:3008/")
    public void addProducts(@RequestBody OrderDetails p){

        shoppingCartServices.addProducts(p);

    }
}
