package com.poc.altimetrik.controller;
import com.poc.altimetrik.dto.Customer;
import com.poc.altimetrik.dto.NewValetAmout;
import com.poc.altimetrik.repository.UserLoggedInRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("api/v1")
public class UserDataController {
    @Autowired
    UserLoggedInRepository userLoggedInRepository;

    @PostMapping("/userLoggedIn")
    @CrossOrigin(origins="http://localhost:3008/")
    public void addUser(@RequestBody Customer p){
        userLoggedInRepository.save(p);
    }

    @GetMapping("/getUserValetAmount")
    @CrossOrigin(origins="http://localhost:3008/")
    public Integer getUserValetAmount(){
        Customer customer = userLoggedInRepository.findByReference(Customer.refer);
        return customer.getValetAmount();
    }

    @PutMapping("/updateValetAmount")
    @CrossOrigin(origins="http://localhost:3008/")
    public void updateValetAmount(@RequestBody NewValetAmout newValetAmt){
        Customer customer = userLoggedInRepository.findByReference(Customer.refer);
        customer.setValetAmount(Integer.parseInt(newValetAmt.getNewValetAmt()));
        userLoggedInRepository.save(customer);
    }

}
