package com.poc.altimetrik.controller;
import com.poc.altimetrik.controller.FoodCartController;
import com.poc.altimetrik.dto.Customer;
import com.poc.altimetrik.dto.OrderDetails;
import com.poc.altimetrik.services.FoodCartServices;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.boot.test.mock.mockito.MockBean;

import java.util.stream.Collectors;
import java.util.stream.Stream;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.mockito.Mockito.*;

@SpringBootTest
class FoodCartControllerTest {
	@MockBean
	private FoodCartServices foodCartServices;

	@Autowired
	private FoodCartController foodCartController;

	@Test
	public void getProducts(){

		when(foodCartServices.getProducts()).thenReturn(Stream.of(
				new OrderDetails(300,3761,0,0,42,342,667,new Integer[2],new Customer())).collect(Collectors.toList()));
		assertEquals("200 OK",foodCartController.getProducts().getStatusCode().toString());


	}

	@Test
	public void addProducts(){
		OrderDetails pd = new OrderDetails(300,3721,4356,6456,6565,454,667, new Integer[43], new Customer());
		Customer c = new Customer();
		foodCartController.addProducts(pd);
		verify(foodCartServices,times(1)).addProducts(pd);
	}

}
